3

I'm trying to update detail fields on Content records using the Salesforce data loader, as well as dataloader.io.

Typically, the uploads have failed w the message "ERROR: You do not have the level of access necessary to perform the operation you requested. Please contact the owner of the record or your administrator if access is necessary."

We were able to make one successful record update by mapping three fields: Id (which I believe was ContentVersionId), IsLatest, and a custom detail field. The custom detail field is a picklist, and the value that was updated mapped to an existing value in the picklist options.

I have tried this multiple times since, and am unable to get IsLatest as a valid mapping field in the dataloader for ContentVersion. Can anyone suggest a way to upload content data for multiple records that allows for mapping to the IsLatest field? The lack of mapping to the "IsLatest" field seems to be the reason for the error message.

This was all done w the same (System Admin) user, with Workspace Admin rights on the Content Library.

  • isLatest is defaulted on create of ContentVersion and is otherwise not updateable. There's not a lot you can update on ContentVersion - contentUrl, description, language, title, ownerid, recordtypeid, tagcsv & custom fields. Are you trying to update custom fields not available for the given recordtypeid? Updates are only permitted on the latest version of a Content record – cropredy Dec 24 '13 at 1:56
0

Change the Batch size to 1 for Temp Fix. i tried with batch size 1 and it is updated custom fields

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.